import 'package:args/args.dart';
import 'package:comet_cli/comet_yaml.dart';
import 'package:comet_cli/delete_folder_contents.dart';
import 'package:comet_cli/gen_assets_md.dart';
import 'package:comet_cli/read_pages.dart';

Future<void> cmdBuild(
  ArgParser parser,
  List<String> arguments,
) async {
  // Cometプロジェクトかどうか
  final cometYaml = readCometYaml();
  if (cometYaml == null) {
    print('このフォルダはcometプロジェクトではありません');
    return;
  }

  await executeBuild();
}

Future<void> executeBuild() async {
  final tabs = readTabs('tabs');

  deleteFolderContents('assets/_comet_gen_');

  // move tabs/* to assets/_comet_gen_/*
  await moveToAssets(tabs);
}

Future<void> moveToAssets(List<TabFolder> tabs) async {
  for (final tab in tabs) {
    for (final page in tab.pages) {
      final sourcePath = 'tabs/${tab.name}/$page';
      final destPath = 'assets/_comet_gen_/${tab.name}.$page';
      genAssetsMd(sourcePath, destPath);
    }
  }
}
