import 'dart:io';
import 'package:yaml/yaml.dart';

class CometYamlGithub {
  const CometYamlGithub({
    required this.userId,
    required this.repoName,
  });

  final String? userId;
  final String? repoName;
}

class CometYaml {
  const CometYaml({
    required this.github,
  });

  final CometYamlGithub github;
}

CometYaml? readCometYaml() {
  final file = File('comet.yaml');
  final exists = file.existsSync();
  if (!exists) {
    print('comet.yamlが見つかりませんでした');
    return null;
  }
  final text = file.readAsStringSync();
  final yaml = loadYaml(text) as Map;

  final github = yaml['github'] as Map;
  final githubUserId = github['user_id'] as String?;
  final githubRepoName = github['repo_name'] as String?;

  final cometYamlGithub = CometYamlGithub(
    userId: githubUserId,
    repoName: githubRepoName,
  );

  return CometYaml(
    github: cometYamlGithub,
  );
}
