import 'dart:io';

class TabFolder {
  const TabFolder({
    required this.name,
    required this.pages,
  });
  final String name;
  final List<String> pages;
}

List<TabFolder> readTabs(String path) {
  List<TabFolder> folders = [];

  final dir = Directory(path);
  final maybeFolders = dir.listSync();

  for (final maybeFolder in maybeFolders) {
    if (maybeFolder is! Directory) continue;

    final pathSegments = List.of(maybeFolder.uri.pathSegments);
    pathSegments.removeWhere((it) => it.isEmpty);
    final folderName = pathSegments.last;
    final maybeFiles = maybeFolder.listSync();

    List<String> files = [];

    for (final maybeFile in maybeFiles) {
      if (maybeFile is! File) continue;
      final fileName = maybeFile.uri.pathSegments.last;
      files.add(fileName);
    }

    final folder = TabFolder(
      name: folderName,
      pages: files,
    );
    folders.add(folder);
  }

  return folders;
}
